import request from '@/utils/request';
/**
 * 新增意见
 */
export const addSuggestion = (params: any) => {
  return request.post('/edu-app/sysSuggestion/save', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 获取意见类型
 */

export const getSuggestionList = (params: any) => {
  return request.post('/edu-app/sysSuggestionType/page', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 获取系统参数
 */
export const sysParamConfigPage = (params: any) => {
  return request.post('/edu-app/sysParamConfig/page', {
    data: params
    // requestType: 'form'
  });
};

/**
 * @description: 意见反馈类型
 */
export const getSysSuggestionTypeList = (params: object) => {
  return request.post('/edu-app/sysSuggestionType/page', {
    data: params
  });
};

/**
 * @description: 意见反馈列表
 */
export const getSysSuggestionList = (params: object) => {
  return request.post('/edu-app/sysSuggestion/page', {
    data: params
  });
};

/**
 * @description: 意见反馈意见已读
 */
export const batchSetRead = (params: object) => {
  return request.get('/edu-app/sysMessage/batchSetRead', {
    data: params,
    params
  });
};
